# Module terminal

low level terminal library

### Introduction

The terminal library is a simple and lower level library for certain terminal interactions.

### Functions

restoreState() | Restores the last saved state of the terminal
saveState() | Saves the current state of the terminal.
setRaw() | Puts the terminal into raw mode.
size() | Gets the dimensions of the terminal. Returns a table with `width` and `height`

#### terminal.restoreState()

Restores the last saved state of the terminal

##### Parameters

This function has no parameters.

#### terminal.saveState()

Saves the current state of the terminal.

##### Parameters

This function has no parameters.

#### terminal.setRaw()

Puts the terminal into raw mode.

##### Parameters

This function has no parameters.

#### terminal.size()

Gets the dimensions of the terminal. Returns a table with `width` and `height`
NOTE: The size refers to the amount of columns and rows of text that can fit in the terminal.

##### Parameters

This function has no parameters.